"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseComponent = void 0;
const utils_1 = require("../utils");
function BaseComponent(ComposedComponent) {
    var _a;
    return _a = class BaseComponent extends ComposedComponent {
            constructor(...args) {
                const props = args[0];
                super(props);
                if (!this.state && this.getStateFromProps)
                    this.state = this.getStateFromProps(props);
            }
            UNSAFE_componentWillReceiveProps(props, nextContext) {
                if (super.UNSAFE_componentWillReceiveProps) {
                    super.UNSAFE_componentWillReceiveProps(props, nextContext);
                }
                else if (this.getStateFromProps) {
                    const state = this.getStateFromProps(props);
                    if (state)
                        this.setState(state);
                }
            }
        },
        _a.displayName = utils_1.getReactComponentName(ComposedComponent),
        _a;
}
exports.BaseComponent = BaseComponent;
exports.default = BaseComponent;
