export default class AnnotationField extends React.Component<any, any, any> {
    static contextType: React.Context<import("../../ReactContext").ContextProps>;
    static propTypes: {
        uiSchema: PropTypes.Validator<PropTypes.InferProps<{
            "ui:options": PropTypes.Requireable<PropTypes.InferProps<{
                adminOnly: PropTypes.Requireable<boolean>;
                container: PropTypes.Requireable<string>;
                add: PropTypes.Requireable<object>;
                filter: PropTypes.Requireable<object>;
                uiSchema: PropTypes.Requireable<object>;
                buttonsPath: PropTypes.Requireable<string>;
                formId: PropTypes.Requireable<string>;
            }>>;
            uiSchema: PropTypes.Requireable<object>;
        }>>;
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        formData: PropTypes.Validator<object>;
    };
    constructor(props: any);
    getButton: () => {
        glyph: string;
        tooltip: any;
        tooltipPlacement: string;
        fn: () => () => void;
        variant: string;
    };
    onClick: () => () => void;
    onHide: () => void;
    getAnnotations: () => any;
}
import * as React from "react";
import * as PropTypes from "prop-types";
