export function getInjectedUiSchema(uiSchema: any, injections: any, uiSchemaContext: any): any;
export default class ContextInjectionField extends React.Component<any, any, any> {
    static propTypes: {
        uiSchema: PropTypes.Validator<PropTypes.InferProps<{
            "ui:options": PropTypes.Validator<PropTypes.InferProps<{
                injections: PropTypes.Validator<object>;
                target: PropTypes.Requireable<string>;
            }>>;
            uiSchema: PropTypes.Requireable<object>;
        }>>;
        formData: PropTypes.Requireable<string | number | boolean | object>;
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
    };
    static getName(): string;
    constructor(props: any);
    constructor(props: any, context: any);
    getStateFromProps(props: any): {
        [x: number]: any;
    };
}
import * as React from "react";
import * as PropTypes from "prop-types";
