export default class EnumRangeArrayField extends React.Component<any, any, any> {
    static propTypes: {
        uiSchema: PropTypes.Requireable<PropTypes.InferProps<{
            "ui:options": PropTypes.Requireable<PropTypes.InferProps<{
                range: PropTypes.Requireable<string>;
            }>>;
        }>>;
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        formData: PropTypes.Requireable<any[]>;
    };
    static getName(): string;
    constructor(props: any);
    setRef: (elem: any) => void;
    autosuggestRef: any;
    onInputChange: ({ target: { value } }: {
        target: {
            value: any;
        };
    }, reason: any, callback: any) => any;
    onSuggestionSelected: (suggestion: any) => void;
    onUnsuggestedSelected: (value: any) => void;
    onChange: (formData: any, reason: any) => void;
}
import * as React from "react";
import * as PropTypes from "prop-types";
