export default class ExtraLabelRowField extends React.Component<any, any, any> {
    static contextType: React.Context<import("../../ReactContext").ContextProps>;
    static propTypes: {
        uiSchema: PropTypes.Validator<PropTypes.InferProps<{
            "ui:options": PropTypes.Requireable<PropTypes.InferProps<{
                labels: PropTypes.Validator<(object | null | undefined)[]>;
                lg: PropTypes.Requireable<number | object>;
                md: PropTypes.Requireable<number | object>;
                sm: PropTypes.Requireable<number | object>;
                xs: PropTypes.Requireable<number | object>;
                hiddenXs: any;
            }>>;
        }>>;
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        formData: PropTypes.Validator<object>;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    getStateFromProps(props: any): {
        schema: any;
        uiSchema: any;
        options: any;
    };
    setContainerRef: (elem: any) => void;
    containerElem: any;
    getContainerRef: () => any;
    getColContent: (label: any, i: any) => JSX.Element;
    getCols: (property: any) => {
        lg: number;
        md: number;
        sm: number;
        xs: number;
    };
}
import * as React from "react";
import * as PropTypes from "prop-types";
