/**
 * Compatible only with gathering field.
 */
export default class NamedPlaceSaverField extends React.Component<any, any, any> {
    static contextType: React.Context<import("../../ReactContext").ContextProps>;
    static propTypes: {
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        formData: PropTypes.Requireable<object>;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    getStateFromProps(props: any): {
        uiSchema: any;
    };
    getButton(props: any): {
        label: any;
        fn: () => () => void;
        glyph: string;
        position: string;
        disabled: boolean;
    };
    onButtonClick: () => () => void;
    onSave: (place: any) => void;
    onHide: () => void;
}
import * as React from "react";
import * as PropTypes from "prop-types";
