export default class SingleActiveArrayField extends React.Component<any, any, any> {
    static propTypes: {
        uiSchema: PropTypes.Requireable<PropTypes.InferProps<{
            "ui:options": PropTypes.Requireable<PropTypes.InferProps<{
                renderer: PropTypes.Requireable<string>;
                activeIdx: PropTypes.Requireable<number>;
            }>>;
        }>>;
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        formData: PropTypes.Requireable<any[]>;
    };
    constructor(props: any);
    deleteButtonRefs: {};
    deleteButtonRefSetters: {};
    getInitialActiveIdx: (props: any) => any;
    mounted: boolean | undefined;
    prevActiveIdx: any;
    updatePopups: (props: any) => void;
    getStateFromProps(props: any): {
        activeIdx: any;
    };
    onHeaderAffixChange: (elem: any, value: any) => void;
    getLocalFormContext: () => any;
    localContextKey: any;
    localContext: any;
    updateRenderingMode: (normalRendering: any, callback: any) => void;
    getPopupDataPromise: (idx: any, props: any, itemFormData: any) => Promise<any>;
    onActiveChange: (idx: any, prop: any, callback: any) => void;
    onDelete: (item: any) => (e: any) => void;
    buttonDefinitions: {
        add: {
            callback: () => void;
        };
        addPredefined: {
            callback: () => void;
        };
        copy: {
            fn: () => (...params: any[]) => void;
            callback: () => void;
            rules: {
                minLength: number;
            };
        };
    };
}
import * as React from "react";
import * as PropTypes from "prop-types";
