export default class UiFieldMapperArrayField extends React.Component<any, any, any> {
    static propTypes: {
        uiSchema: PropTypes.Validator<PropTypes.InferProps<{
            "ui:options": PropTypes.Requireable<PropTypes.InferProps<{
                functions: PropTypes.Requireable<PropTypes.InferProps<{
                    "ui:field": PropTypes.Validator<string>;
                    "ui:options": PropTypes.Requireable<object>;
                }> | (PropTypes.InferProps<{
                    "ui:field": PropTypes.Validator<string>;
                    "ui:options": PropTypes.Requireable<object>;
                }> | null | undefined)[]>;
            }>>;
            uiSchema: PropTypes.Requireable<object>;
        }>>;
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        formData: PropTypes.Requireable<any[]>;
    };
    static getName(): string;
    constructor(props: any);
    childProps: any[];
    functionOutputProps: any[];
    updateChildProps: (props: any) => void;
    getFieldPropsForIdx: (props: any, idx: any) => any;
    tmpItemFormData: any;
    applyFunctionsToChildProps: (props: any, childProps: any) => any;
    getFunctionOutputForIdx: (props: any, idx: any) => any;
    getStateFromProps(props: any, origProps: any): {
        schema: any;
        uiSchema: any;
        formData: any;
        idSchema: any;
        errorSchema: any;
        formContext: any;
        registry: any;
        onChange: (formData: any) => void;
    };
    onChange: (formData: any) => void;
}
import * as React from "react";
import * as PropTypes from "prop-types";
