export const YEAR_MATCH: RegExp;
export default class DateTimeWidget extends React.Component<any, any, any> {
    static contextType: React.Context<import("../../ReactContext").ContextProps>;
    static propTypes: {
        uiSchema: PropTypes.Requireable<PropTypes.InferProps<{
            "ui:options": PropTypes.Requireable<PropTypes.InferProps<{
                showButtons: PropTypes.Requireable<boolean | PropTypes.InferProps<{
                    today: PropTypes.Requireable<boolean>;
                    yesterday: PropTypes.Requireable<boolean>;
                    same: PropTypes.Requireable<boolean | PropTypes.InferProps<{
                        path: PropTypes.Requireable<string>;
                    }>>;
                }>>;
                showTimeList: PropTypes.Requireable<boolean>;
                allowOnlyYear: PropTypes.Requireable<boolean>;
                dateFormat: PropTypes.Requireable<string>;
            }>>;
        }>>;
        schema: PropTypes.Requireable<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        value: PropTypes.Requireable<string>;
    };
    static defaultProps: {
        type: string;
        readonly: boolean;
        disabled: boolean;
        required: boolean;
        calendar: boolean;
        time: boolean;
    };
    constructor(props: any);
    focus: () => void;
    getStateFromProps(props: any): {
        dateFormat: any;
        timeFormat: string;
        format: string;
        inputFormat: any;
        placeholder: string;
    };
    parse: (value: any) => any;
    timeWritten: any;
    onlyYearWritten: any;
    onChange: (value: any) => void;
    onToggle: (p: any) => void;
    toggle: any;
    setRef: (elem: any) => void;
    dateTimePickerRef: any;
    setContainerRef: (elem: any) => void;
    containerRef: any;
    onTextWidgetFocus: () => void;
    onBlur: () => void;
    onDateTimePickerChange: (value: any) => void;
    renderButtons(showButtons: any): JSX.Element[];
    getDateWithCurrentTime: (date: any) => any;
    setToday: () => void;
    setYesterday: () => void;
    setSameAsToday: () => void;
    formatValue(value: any, options: any, props: any): any;
}
import * as React from "react";
import * as PropTypes from "prop-types";
