import LajiForm, { LajiFormProps } from "./components/LajiForm";
declare type LajiFormWrapperProps = LajiFormProps & {
    rootElem: HTMLDivElement;
};
export default class LajiFormWrapper {
    props: LajiFormProps;
    state: LajiFormProps;
    rootElem: HTMLDivElement;
    lajiForm: LajiForm;
    constructor(props: LajiFormWrapperProps);
    submit: () => void;
    submitOnlySchemaValidations: () => void;
    setState: (state: Partial<LajiFormProps>) => void;
    pushBlockingLoader: () => void;
    popBlockingLoader: () => void;
    getSettings: () => {};
    destroy: () => void;
    unmount: () => void;
}
export {};
