"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
const LajiForm_1 = require("./components/LajiForm");
const React = require("react");
const react_dom_1 = require("react-dom");
class LajiFormWrapper {
    constructor(props) {
        this.submit = () => {
            this.lajiForm.submit();
        };
        this.submitOnlySchemaValidations = () => {
            this.lajiForm.submitOnlySchemaValidations();
        };
        this.setState = (state) => {
            this.state = Object.assign(Object.assign({}, this.state), state);
            this.lajiForm = react_dom_1.render(React.createElement(LajiForm_1.default, Object.assign(Object.assign({}, this.props), this.state), null), this.rootElem);
        };
        this.pushBlockingLoader = () => {
            this.lajiForm.pushBlockingLoader();
        };
        this.popBlockingLoader = () => {
            this.lajiForm.popBlockingLoader();
        };
        this.getSettings = () => {
            return this.lajiForm.getSettings();
        };
        this.destroy = () => {
            this.lajiForm.destroy();
            react_dom_1.unmountComponentAtNode(this.rootElem);
        };
        this.unmount = this.destroy;
        const { rootElem } = props, _props = __rest(props, ["rootElem"]);
        this.props = props;
        this.rootElem = rootElem;
        this.lajiForm = react_dom_1.render(React.createElement(LajiForm_1.default, _props, null), this.rootElem);
        this.state = {};
    }
}
exports.default = LajiFormWrapper;
