/// <reference types="react" />
import { FieldProps, WidgetProps } from "./LajiForm";
declare type Constructor<T> = new (...args: any[]) => T;
interface LajiFormComponentForBaseComponent<P, S> extends React.Component<P, S> {
    getStateFromProps?(props: P): S;
    UNSAFE_componentWillReceiveProps?(props: Readonly<P>, nextContext?: any): void;
}
export declare function BaseComponent<P extends FieldProps | WidgetProps, S, LFC extends Constructor<LajiFormComponentForBaseComponent<P, S>>>(ComposedComponent: LFC): any;
export default BaseComponent;
