export default class FlatField extends React.Component<any, any, any> {
    static propTypes: {
        uiSchema: PropTypes.Validator<PropTypes.InferProps<{
            "ui:options": PropTypes.Requireable<PropTypes.InferProps<{
                fields: PropTypes.Requireable<(string | null | undefined)[]>;
            }>>;
            uiSchema: PropTypes.Requireable<object>;
        }>>;
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        formData: PropTypes.Requireable<object>;
    };
    static getName(): string;
    constructor(props: any);
    constructor(props: any, context: any);
    getStateFromProps(props: any, origProps: any): {
        schema: any;
        uiSchema: any;
        errorSchema: any;
        formData: any;
        idSchema: any;
        onChange: (formData: any) => void;
    };
    _onChange: (formData: any, schema: any, fields: any) => any;
    onChange: (formData: any) => void;
}
import * as React from "react";
import * as PropTypes from "prop-types";
