export default class InitiallyHiddenField extends React.Component<any, any, any> {
    static contextType: React.Context<import("../../ReactContext").ContextProps>;
    static propTypes: {
        uiSchema: PropTypes.Validator<PropTypes.InferProps<{
            "ui:options": PropTypes.Requireable<PropTypes.InferProps<{
                uiSchema: PropTypes.Requireable<object>;
            }>>;
        }>>;
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        formData: PropTypes.Validator<object>;
    };
    constructor(props: any);
    getStateFromProps(props: any): {
        uiSchema: any;
    };
    toggleVisibility: () => void;
}
import * as React from "react";
import * as PropTypes from "prop-types";
