export default class MultiArrayField extends React.Component<any, any, any> {
    static propTypes: {
        uiSchema: PropTypes.Requireable<PropTypes.InferProps<{
            "ui:options": PropTypes.Requireable<PropTypes.InferProps<{
                rules: PropTypes.Requireable<string | PropTypes.InferProps<{
                    container: PropTypes.Requireable<string>;
                    field: PropTypes.Validator<string>;
                    regexp: PropTypes.Requireable<string>;
                    valueIn: PropTypes.Requireable<(string | null | undefined)[]>;
                    valueLengthLessThan: PropTypes.Requireable<number>;
                    complement: PropTypes.Requireable<boolean>;
                }> | PropTypes.InferProps<{
                    idx: PropTypes.Requireable<number>;
                    isLast: PropTypes.Requireable<number>;
                    complement: PropTypes.Requireable<boolean>;
                }> | (string | PropTypes.InferProps<{
                    container: PropTypes.Requireable<string>;
                    field: PropTypes.Validator<string>;
                    regexp: PropTypes.Requireable<string>;
                    valueIn: PropTypes.Requireable<(string | null | undefined)[]>;
                    valueLengthLessThan: PropTypes.Requireable<number>;
                    complement: PropTypes.Requireable<boolean>;
                }> | PropTypes.InferProps<{
                    idx: PropTypes.Requireable<number>;
                    isLast: PropTypes.Requireable<number>;
                    complement: PropTypes.Requireable<boolean>;
                }> | null | undefined)[]>;
                itemsOperations: PropTypes.Requireable<PropTypes.InferProps<{
                    type: PropTypes.Requireable<string>;
                    uiSchema: PropTypes.Validator<object>;
                }> | (PropTypes.InferProps<{
                    type: PropTypes.Requireable<string>;
                    uiSchema: PropTypes.Validator<object>;
                }> | null | undefined)[]>;
                cache: any;
            }>>;
        }>>;
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        formData: PropTypes.Requireable<any[]>;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    itemIds: {};
    cache: {}[] | undefined;
    arrayKeyFunctions: any[] | undefined;
    groupItemIds: unknown;
    groupedItems: any;
    onChange: (idx: any) => (formData: any) => void;
}
import * as React from "react";
import * as PropTypes from "prop-types";
