/**
 * Constructs selects from given tree.
 * uiSchema = {"ui:options": {
*   tree: {<enum key tree>}, (node object: {children: {key: {<node>}, key2:{<node>}}, order: ["key", "key2"]} (order is optional)
*   labels: [<string>]
 * }
 */
export default class SelectTreeField extends React.Component<any, any, any> {
    static propTypes: {
        uiSchema: PropTypes.Validator<PropTypes.InferProps<{
            "ui:options": PropTypes.Validator<PropTypes.InferProps<{
                tree: PropTypes.Validator<object>;
                labels: PropTypes.Requireable<(string | null | undefined)[]>;
                uiSchema: PropTypes.Requireable<object>;
            }>>;
        }>>;
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        value: PropTypes.Requireable<string>;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    getStateFromProps(props: any): {
        schema: {
            type: string;
            title: any;
        };
        formData: {};
        uiSchema: any;
        idSchema: {
            $id: any;
        };
    };
    onChange: (formData: any) => void;
    onKeyDown: (e: any) => void;
}
import * as React from "react";
import * as PropTypes from "prop-types";
