export default class UiFieldApplierField extends React.Component<any, any, any> {
    static propTypes: {
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        uiSchema: PropTypes.Requireable<PropTypes.InferProps<{
            "ui:options": PropTypes.Requireable<PropTypes.InferProps<{
                field: PropTypes.Requireable<string>;
                functions: PropTypes.Requireable<PropTypes.InferProps<{
                    "ui:field": PropTypes.Validator<string>;
                    "ui:options": PropTypes.Requireable<object>;
                }> | (PropTypes.InferProps<{
                    "ui:field": PropTypes.Validator<string>;
                    "ui:options": PropTypes.Requireable<object>;
                }> | null | undefined)[]>;
            }>>;
        }>>;
        formData: PropTypes.Requireable<object>;
    };
    static getName(): string;
    constructor(props: any);
    functions: any[];
    getFunctions: () => any;
    getStateFromProps(props: any): any;
    onChange: (formData: any) => void;
    onChangeFormData: any;
    combinedOnChange(formData: any): void;
}
import * as React from "react";
import * as PropTypes from "prop-types";
