export default class UnitCountShorthandField extends React.Component<any, any, any> {
    static propTypes: {
        uiSchema: PropTypes.Validator<PropTypes.InferProps<{
            "ui:options": PropTypes.Validator<PropTypes.InferProps<{
                shorthandField: PropTypes.Validator<string>;
                pairCountField: PropTypes.Validator<string>;
                taxonIDField: PropTypes.Validator<string>;
            }>>;
        }>>;
        schema: PropTypes.Validator<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        formData: PropTypes.Validator<object>;
    };
    static getName(): string;
    constructor(props: any);
    parseCode(value: any, taxonId: any): Promise<any>;
    getStateFromProps(props: any): any;
    promiseTimestamp: number | undefined;
}
import * as React from "react";
import * as PropTypes from "prop-types";
