export default class CheckboxWidget extends React.Component<any, any, any> {
    static contextType: React.Context<import("../../ReactContext").ContextProps>;
    static propTypes: {
        uiSchema: PropTypes.Requireable<PropTypes.InferProps<{
            "ui:options": PropTypes.Requireable<PropTypes.InferProps<{
                allowUndefined: PropTypes.Requireable<boolean>;
                showUndefined: PropTypes.Requireable<boolean>;
                invert: PropTypes.Requireable<boolean>;
                trueLabel: PropTypes.Requireable<string>;
                falseLabel: PropTypes.Requireable<string>;
                unknownLabel: PropTypes.Requireable<string>;
            }>>;
        }>>;
        schema: PropTypes.Requireable<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        value: PropTypes.Requireable<boolean>;
    };
    constructor(props: any);
    trueRef: React.RefObject<any>;
    falseRef: React.RefObject<any>;
    undefinedRef: React.RefObject<any>;
    groupRef: React.RefObject<any>;
    rmInputTabIndices: () => void;
    onChange: (value: any) => void;
    onButtonGroupChange: (value: any) => void;
    getOptions: (props: any) => any;
    getToggleMode: (props: any) => boolean;
    onGroupKeyDown: any;
    onTrueKeyDown: any;
    onFalseKeyDown: any;
    onUndefinedKeyDown: any;
    toggle: (e: any) => void;
    formatValue(value: any, options: any, props: any): any;
}
import * as React from "react";
import * as PropTypes from "prop-types";
