export default SelectWidget;
declare class SelectWidget extends React.Component<any, any, any> {
    static contextType: React.Context<import("../../ReactContext").ContextProps>;
    constructor(props: any);
    _context: Record<string, unknown>;
    mounted: boolean | undefined;
    getEnumOptions(props: any): any;
    getStateFromProps(props: any): {
        valsToItems: any;
        enumOptions: any;
        value: any;
    };
    multiSelectOnChange: (values: any) => void;
    selectOnChange: (item: any) => void;
    onClick: () => void;
    onFocus: () => void;
    onBlur: () => void;
    onSelect: (item: any) => void;
    onToggle: () => void;
    onKeyDown: (e: any) => void;
    setRef: (elem: any) => void;
    elemRef: any;
    getEnum: (val: any) => any;
}
declare namespace SelectWidget {
    namespace defaultProps {
        const autofocus: boolean;
    }
    namespace propTypes {
        export const schema: PropTypes.Requireable<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        export const id: PropTypes.Validator<string>;
        export const uiSchema: PropTypes.Requireable<PropTypes.InferProps<{
            "ui:options": PropTypes.Requireable<PropTypes.InferProps<{
                enumOptions: PropTypes.Requireable<any[]>;
                order: PropTypes.Requireable<any[]>;
                filter: PropTypes.Requireable<any[]>;
                filterType: PropTypes.Requireable<string>;
                labels: PropTypes.Requireable<object>;
            }>>;
        }>>;
        export const value: PropTypes.Requireable<string | any[]>;
        export const required: PropTypes.Requireable<boolean>;
        export const multiple: PropTypes.Requireable<boolean>;
        const autofocus_1: PropTypes.Requireable<boolean>;
        export { autofocus_1 as autofocus };
        export const onChange: PropTypes.Requireable<(...args: any[]) => any>;
    }
}
import * as React from "react";
import * as PropTypes from "prop-types";
