"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const test_utils_1 = require("./test-utils");
const test_utils_2 = require("laji-map/test-export/test-utils");
describe("invasive species eradication form (MHL.33)", () => {
    let form;
    it("renders", () => __awaiter(void 0, void 0, void 0, function* () {
        // Just check that no error occurs.
        form = yield test_utils_1.createForm({ id: "MHL.33", localFormData: true });
    }));
    it("geometry can be drawn", () => __awaiter(void 0, void 0, void 0, function* () {
        const map = new test_utils_2.MapPageObject();
        yield map.drawRectangle();
        expect((yield form.getChangedData()).gatherings[0].geometry.geometries[0].type).toBe("Polygon");
    }));
});
